//*****************************************************************************
//*****************************************************************************
//  FILENAME: CSA_EMC.h
//   Version: 1.50, Updated on 2013/5/19 at 10:42:39
//  Generated by PSoC Designer 5.4.2946
//
//  DESCRIPTION: CSA_EMC User Module C Language interface file
//
//-----------------------------------------------------------------------------
//  Copyright (c) Cypress Semiconductor 2013. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************
#ifndef CSA_EMC_INCLUDE
#define CSA_EMC_INCLUDE

#include <m8c.h>

#define CSA_EMC_BUTTONS_EXIST 0x4
#define CSA_EMC_SLIDERS_EXIST 0x1 | 0x0
#define CSA_EMC_IMMUNITY_LEVEL  0x3
#define CSA_EMC_FREQ_NUM 0x3
#define CSA_EMC_RAW_MEDIAN_ENABLE 0x0
#define CSA_EMC_RAW_IIR_ENABLE 0x0
#define CSA_EMC_PRS  0x0
#define CSA_EMC_SEED 0x0C
#define CSA_EMC_POLYNOMIAL 0x60


// Low Level scan API
#pragma fastcall16 CSA_EMC_Start
#pragma fastcall16 CSA_EMC_Stop
#pragma fastcall16 CSA_EMC_Resume
#pragma fastcall16 CSA_EMC_ClearSensors
#pragma fastcall16 CSA_EMC_wGetPortPin
#pragma fastcall16 CSA_EMC_EnableSensor
#pragma fastcall16 CSA_EMC_DisableSensor
#pragma fastcall16 CSA_EMC_ScanSensor
#pragma fastcall16 CSA_EMC_ScanAllSensors
#pragma fastcall16 CSA_EMC_Calibrate
#pragma fastcall16 CSA_EMC_CalibrateSingleSensor
#pragma fastcall16 CSA_EMC_CalibrateAllSensors

// High Level API
#pragma fastcall16 CSA_EMC_UpdateSensorBaseline
#pragma fastcall16 CSA_EMC_UpdateAllBaselines
#pragma fastcall16 CSA_EMC_bIsSensorActive
#pragma fastcall16 CSA_EMC_bIsAnySensorActive
#pragma fastcall16 CSA_EMC_SetDefaultFingerThresholds
#pragma fastcall16 CSA_EMC_InitializeBaselines
#pragma fastcall16 CSA_EMC_InitializeSensorBaseline
#pragma fastcall16 CSA_EMC_wGetCentroidPos
#pragma fastcall16 CSA_EMC_wGetRadialPos
#pragma fastcall16 CSA_EMC_wGetRadialInc

//-------------------------------------------------
// C prototypes of the CSA_EMC API.
//-------------------------------------------------

extern void CSA_EMC_Start(void);
extern void CSA_EMC_Stop(void);
extern void CSA_EMC_Resume(void);
extern void CSA_EMC_ClearSensors(void);
extern WORD CSA_EMC_wGetPortPin(BYTE bSensor);
extern void CSA_EMC_EnableSensor(BYTE bMask, BYTE bPort);
extern void CSA_EMC_DisableSensor(BYTE bMask, BYTE bPort);
extern void CSA_EMC_ScanSensor(BYTE bSensor);
extern void CSA_EMC_ScanAllSensors(void);
extern void CSA_EMC_Calibrate(WORD wLevel);
extern void CSA_EMC_CalibrateSingleSensor(BYTE bSensor, WORD CalibratedRawCountLevel);
extern void CSA_EMC_CalibrateAllSensors(WORD CalibratedRawCountLevel);


//-------------------------------------------------
// High level functions
//-------------------------------------------------

extern void CSA_EMC_UpdateSensorBaseline(BYTE bSensorNum); //Doing nothing, added for compatibility
extern void CSA_EMC_UpdateAllBaselines(void); //Doing nothing, added for compatibility
extern BYTE CSA_EMC_bIsSensorActive(BYTE bSensorNum);
extern BYTE CSA_EMC_bIsAnySensorActive(void);
extern void CSA_EMC_SetDefaultFingerThresholds(void);
extern void CSA_EMC_InitializeBaselines(void);
extern void CSA_EMC_InitializeSensorBaseline(BYTE bSensorNum);
#if CSA_EMC_SLIDERS_EXIST
  extern WORD CSA_EMC_wGetCentroidPos(BYTE bSnsGroup);
  extern WORD CSA_EMC_wGetRadialPos(BYTE bSnsGroup);
  extern WORD CSA_EMC_wGetRadialInc(BYTE bSnsGroup);
#endif

//--------------------------------------------------
// Variables for CSA_EMC.
//--------------------------------------------------

extern BYTE CSA_EMC_bNoiseThreshold;
extern BYTE CSA_EMC_bNegativeNoiseThreshold;
extern BYTE CSA_EMC_bBaselineUpdateThreshold;
extern BYTE CSA_EMC_bHysteresis;
extern BYTE CSA_EMC_bDebounce;
extern BYTE CSA_EMC_bLowBaselineReset;
extern BYTE CSA_EMC_bSettlingTime;
extern BYTE CSA_EMC_bLFSR;

extern BYTE CSA_EMC_baSnsOnMask[];
extern WORD CSA_EMC_waSnsResult[];
extern WORD CSA_EMC_waSnsBaseline[];
extern WORD CSA_EMC_waSnsDiff[];
extern BYTE CSA_EMC_baDACCodeBaseline[];
extern BYTE CSA_EMC_baDAC[];
extern BYTE CSA_EMC_bfStatus;
extern BYTE CSA_EMC_baBtnFThreshold[];

#if CSA_EMC_RAW_MEDIAN_ENABLE
extern WORD CSA_EMC_waRaw2[];
#endif

#if CSA_EMC_RAW_IIR_ENABLE
extern WORD CSA_EMC_waIIR[];
#endif

#if CSA_EMC_SLIDERS_EXIST
extern WORD CSA_EMC_wCtrdPos;
extern WORD CSA_EMC_waCtrdPkValue[];
#endif

//--------------------------------------------------
// Constants for CSA_EMC user defined values
//--------------------------------------------------

// Sizes
#define CSA_EMC_ButtonCount                        0x4
#define CSA_EMC_SliderCount                        0x1 + 0x0
#define CSA_EMC_TotalSensorCount                   0x9

//-------------------------------------------------
// Register Addresses for CSA_EMC
//-------------------------------------------------
#pragma ioport  CSA_EMC_CapSense_CR0_REG:   0x0a0          // Analog block control Register 1
BYTE            CSA_EMC_CapSense_CR0_REG;
#pragma ioport  CSA_EMC_CapSense_CR1_REG:   0x0a1          // Analog block control Register 2
BYTE            CSA_EMC_CapSense_CR1_REG;
#pragma ioport  CSA_EMC_CapSense_CR2_REG:   0x0a2          // Analog block control Register 2
BYTE            CSA_EMC_CapSense_CR2_REG;
#pragma ioport  CSA_EMC_CapSense_CR3_REG:   0x0a3          // Analog block control Register 2
BYTE            CSA_EMC_CapSense_CR3_REG;
#pragma ioport  CSA_EMC_CapSense_STAT_REG:  0x0a6          // Analog block control Register 2
BYTE            CSA_EMC_CapSense_STAT_REG;
#pragma ioport  CSA_EMC_CapSense_CNTH_REG:  0x0a5          // Analog block control Register 2
BYTE            CSA_EMC_CapSense_CNTH_REG;
#pragma ioport  CSA_EMC_CapSense_CNTL_REG:  0x0a4          // Analog block control Register 2
BYTE            CSA_EMC_CapSense_CNTL_REG;
#pragma ioport  CSA_EMC_CapSense_TIMER_REG: 0x0a7          // Analog block control Register 2
BYTE            CSA_EMC_CapSense_TIMER_REG;
#pragma ioport  CSA_EMC_CapSense_SLEW_REG:  0x0a8          // Analog block control Register 2
BYTE            CSA_EMC_CapSense_SLEW_REG;
#pragma ioport  CSA_EMC_CMP_CR0_REG:    0x07a              // Analog block control Register 2
BYTE            CSA_EMC_CMP_CR0_REG;
#pragma ioport  CSA_EMC_CMP_CR1_REG:    0x07b              // Analog block control Register 2
BYTE            CSA_EMC_CMP_CR1_REG;
#pragma ioport  CSA_EMC_CMP_MUX_REG:    0x079              // Analog block control Register 2
BYTE            CSA_EMC_CMP_MUX_REG;

//-------------------------------------------------
// CSA_EMC Macro 'Functions'
//-------------------------------------------------

#define CSA_EMC_EnableInt_M   \
   M8C_EnableIntMask(  CSA_EMC_INT_REG, CSA_EMC_INT_MASK )

#define CSA_EMC_DisableInt_M  \
   M8C_DisableIntMask( CSA_EMC_INT_REG, CSA_EMC_INT_MASK )

#endif
// end of file CSA_EMC.h
