#include <m8c.h>        
#include "PSoCAPI.h"    
#include "main.h"
#include "display.h"

typedef struct I2C_regs 
{   	
	BYTE sensor_index;
	WORD sensor_raw_count;
	WORD sensor_baseline;
   	BYTE button_state;
	BYTE slider_pos;   	
}I2C_REGS;

I2C_REGS reg_info;

void main(void)
{

	M8C_EnableGInt; 
    display_init(); 

	EzI2Cs_SetRamBuffer(sizeof(reg_info), 1, (BYTE *) &reg_info);
    EzI2Cs_Start(); 
	
    CSA_EMC_Start();
    CSA_EMC_InitializeBaselines(); 
    CSA_EMC_SetDefaultFingerThresholds();

    while (1)
    {
        CSA_EMC_ScanAllSensors(); 
		CSA_EMC_UpdateAllBaselines();
        CSA_EMC_bIsAnySensorActive();
        store_sensor_data(); 
		display_sensor_state(reg_info.slider_pos, reg_info.button_state); 
    }
}

//-----------------------------------------------------------------------------
//
//  Function:    store_sensor_data
//
// 
//                
//  Inputs:      Void
//
//  Returns:     Void
//
//-----------------------------------------------------------------------------
void store_sensor_data(void)
{
    BYTE i;
	
	reg_info.sensor_raw_count = CSA_EMC_waSnsResult[reg_info.sensor_index];
	reg_info.sensor_baseline = CSA_EMC_waSnsBaseline[reg_info.sensor_index];
        
	reg_info.button_state = (CSA_EMC_baSnsOnMask[0]);    
    reg_info.slider_pos = CSA_EMC_wGetCentroidPos(1);
}
